QGIS Application - Bug report #8742
Reproject layer does not work with custom CRS
2013-10-01 09:38 AM - Pedro Venancio

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 17456
Description

Reproject layer works ok with QGIS default CRS, but doesn't do any reprojection with custom CRS.

I'm with QGIS 2.0.1 from OSGeo4W, doing transformations with grid files.

Some custom CRS I've tested:

+proj=tmerc +k=1 +lon_0=1 +no_defs +x_0=200000 +ellps=intl +nadgrids=C:\\proj_lib/ptLX_e89.gsb +units=m
+lat_0=39.66666666666666 +wktext +y_0=300000 +pm=lisbon

+proj=tmerc +k=1 +lon_0=-8.131906111111112 +no_defs +x_0=200180.598 +ellps=intl +nadgrids=C:\\proj_lib/pt73_e89.gsb
+units=m +lat_0=39.66666666666666 +wktext +y_0=299913.01

History

#1 - 2013-10-02 12:50 AM - Giovanni Manghi
- Assignee deleted (Victor Olaya)

- Category changed from 94 to 44

- Status changed from Open to Feedback

- Target version changed from Version 2.0.0 to Future Release - High Priority

Hi Pedro,

is this a regression? What about on linux (it may use a different proj version)? Can you send me (if you can't attach them) sample data and grids?

#2 - 2013-10-02 04:58 AM - Pedro Venancio

- File Cont_AAd_CAOP20121_Pinhel.zip added

Hi Giovanni,

On linux is the same.

| can't check if this is a regression, because on 1.8 | get another error when | try to change the CRS:

An error has occured while executing Python code:

Traceback (most recent call last):
File "C:/Users/pedro/.qgis//python/plugins\\sextante\\gui\\CrsSelectionDialog.py", line 47, in okPressed
self.authid = self.selector.selectedAuthld()

AttributeError: 'QgsProjectionSelector' object has no attribute 'selectedAuthld’

Python version:
2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

QGIS version:
1.8.0-Lisboa Lisboa, f440b60

Python path: ['C:/Users/pedro/.qgis//python/plugins\\\sextante', 'C:\\WUsers\\\\pedro\\\.ggis\\\\python\\\\plugins\\\\elevation’,
'C:/PROGRA~2/Quantum GIS Lisboa/apps/qgis/./python', 'C:/Users/pedro/.qgis//python’, 'C:/Users/pedro/.qgis//python/plugins’,
'C:/PROGRA~2/Quantum GIS Lisboa/apps/qgis/./python/plugins’, 'C:\\\Program Files (x86)\\WArcGIS\\\bin', 'C:\\\PROGRA~2\\\Quantum GIS
Lisboa\\\bin\\\\python27.zip', 'C:\WPROGRA~2\\\Quantum GIS Lisboa\\\apps\\\Python27\\\DLLs', 'C:\W\PROGRA~2\\\Quantum GIS
Lisboa\\W\apps\\Python27\\\lib', 'C:\WPROGRA~2\\\Quantum GIS Lisboa\\\apps\\\\Python27\\\\lib\\plat-win', 'C:\WPROGRA~2\\\Quantum GIS
Lisboa\\\apps\\Python27\\\lib\\lib-tk', 'C:\WWPROGRA~2\\\Quantum GIS Lisboa\\\apps\\qgis\\\bin', 'C:\WPROGRA~2\\\Quantum GIS
Lisboa\\\apps\\\Python27', 'C:\WPROGRA~2\\\\Quantum GIS Lisboa\\\apps\\\\Python27\\\\ib\\\\site-packages', 'C:\WPROGRA~2\\\Quantum GIS
Lisboa\\\apps\\\Python27\\\lib\\\site-packages\\WPIL', 'C:\WPROGRA~2\\\Quantum GIS
Lisboa\\\apps\\\Python27\\\lib\\\site-packages\\\win32', 'C:\WPROGRA~2\\\\Quantum GIS
Lisboa\\\apps\\\Python27\\\lib\\\site-packages\\\win32\\\lib', 'C:\WPROGRA~2\\\Quantum GIS
Lisboa\\\apps\\\Python27\\\lib\\\site-packages\\\Pythonwin', '"C:\WPROGRA~2\\\Quantum GIS
Lisboa\\\apps\\\Python27\\\lib\\\site-packages\\\\wx-2.8-msw-unicode', 'C:\\\Users\\\\pedro\\\\.qgis\\\\python\\\\plugins\\\mmqgis/forms',
'C:\WPROGRA~2\\\Quantum GIS Lisboa\\\apps\\\\qgis\\\\python\\\\plugins\\\f Tools\\\\tools']

| attach a sample shapefile. It's a selection of the portuguese caop, on EPSG:3763.

Thanks!

#3 - 2013-10-02 05:37 AM - Giovanni Manghi

Pedro Venancio wrote:

Hi Giovanni,

On linux is the same.

I can't check if this is a regression, because on 1.8 | get another error when | try to change the CRS:

so this is a SEXTANTE/processing only issue? the same tool in the "vector" menu works as expected?

#4 - 2013-10-02 05:57 AM - Giovanni Manghi
- Category changed from 44 to 94

| attach a sample shapefile. It's a selection of the portuguese caop, on EPSG:3763.

using your sample data, projections and grids the result in sextante/processing is a vector that has attributes but no geometries, correct? at least here it is

what happens. The "save as..." option seems to work ok, do you confirm?
#5 - 2013-10-02 06:01 AM - Giovanni Manghi
Giovanni Manghi wrote:
| attach a sample shapefile. It's a selection of the portuguese caop, on EPSG:3763.
using your sample data, projections and grids the result in sextante/processing is a vector that has attributes but no geometries, correct? at least
here it is what happens. The "save as..." option seems to work ok, do you confirm?

I'm wrong, the output has geometries but it is given the wgs84 crs so it does not shows by default... it is needed to manually change its crs.

#6 - 2013-10-02 06:02 AM - Giovanni Manghi
Giovanni Manghi wrote:
Giovanni Manghi wrote:
| attach a sample shapefile. It's a selection of the portuguese caop, on EPSG:3763.

using your sample data, projections and grids the result in sextante/processing is a vector that has attributes but no geometries, correct? at least

here it is what happens. The "save as..." option seems to work ok, do you confirm?

I'm wrong, the output has geometries but it is given the wgs84 crs so it does not shows by default... it is needed to manually change its crs.

because the produced prij file is empty

#7 - 2013-10-03 04:03 AM - Pedro Venancio
using your sample data, projections and grids the result in sextante/processing is a vector that has attributes but no geometries, correct? at least

here it is what happens. The "save as..." option seems to work ok, do you confirm?

Yes Giovanni, Save as.. works fine.

I'm wrong, the output has geometries but it is given the wgs84 crs so it does not shows by default... it is needed to manually change its crs.

because the produced prj file is empty

Here there are two problems:
a) Processing creates an empty .prj file when using custom CRS;

b) In addition to the blank .prj file, "Reproject layer" actually does not do any reprojection, the output geometry remain with same CRS of the input layer.

#8 - 2014-06-23 06:22 AM - Giovanni Manghi
- Status changed from Feedback to Open
- Affected QGIS version changed from 2.0.1 to master
#9 - 2015-05-25 08:08 AM - Giovanni Manghi

- Resolution set to fixed/implemented
- Status changed from Open to Closed

seems to work fine in the latest master, please reopen if necessary.

#10 - 2015-06-07 04:32 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

Files

Cont_AAd_CAOP20121_Pinhel.zip 145 KB 2013-10-02
